%global debug_package %{nil}

Name:           guile-lib
Version:        0.2.6.1
Release:        1%{?dist}
Summary:        A collection of generic pure-scheme Guile modules

License:        GPLv3
URL:            https://www.nongnu.org/guile-lib
Source0:        https://download.savannah.nongnu.org/releases/guile-lib/guile-lib-0.2.6.1.tar.gz

Patch0:         guile-lib-configure.patch

BuildRequires:  gcc
BuildRequires:  guile22-devel
Requires:       guile22

%description
guile-lib is intended as an accumulation place for pure-scheme Guile modules,
allowing for people to cooperate integrating their generic Guile modules into a
coherent library. Think "a down-scaled, limited-scope CPAN for Guile".

Also, it can be seen as a code staging area for Guile; the Guile developers
could decide to integrate some of the code into guile-core. An example for a
possible candidate is SRFI-35.


%prep
%autosetup -p1


%build
%configure --with-guile-site=yes
%make_build


%install
rm -rf $RPM_BUILD_ROOT
%make_install
rm -f $RPM_BUILD_ROOT%{_datadir}/info/dir


%files
%license COPYING COPYING.GPL COPYING.LGPL
%doc AUTHORS ChangeLog INSTALL NEWS README TODO
%{_libdir}/guile/2.2/site-ccache/apicheck.go
%{_libdir}/guile/2.2/site-ccache/compat/guile-2.go
%{_libdir}/guile/2.2/site-ccache/config/load.go
%{_libdir}/guile/2.2/site-ccache/container/async-queue.go
%{_libdir}/guile/2.2/site-ccache/container/delay-tree.go
%{_libdir}/guile/2.2/site-ccache/container/nodal-tree.go
%{_libdir}/guile/2.2/site-ccache/debugging/assert.go
%{_libdir}/guile/2.2/site-ccache/debugging/time.go
%{_libdir}/guile/2.2/site-ccache/graph/topological-sort.go
%{_libdir}/guile/2.2/site-ccache/htmlprag.go
%{_libdir}/guile/2.2/site-ccache/io/string.go
%{_libdir}/guile/2.2/site-ccache/logging/logger.go
%{_libdir}/guile/2.2/site-ccache/logging/port-log.go
%{_libdir}/guile/2.2/site-ccache/logging/rotating-log.go
%{_libdir}/guile/2.2/site-ccache/match-bind.go
%{_libdir}/guile/2.2/site-ccache/math/minima.go
%{_libdir}/guile/2.2/site-ccache/math/primes.go
%{_libdir}/guile/2.2/site-ccache/md5.go
%{_libdir}/guile/2.2/site-ccache/os/process.go
%{_libdir}/guile/2.2/site-ccache/scheme/documentation.go
%{_libdir}/guile/2.2/site-ccache/scheme/kwargs.go
%{_libdir}/guile/2.2/site-ccache/search/basic.go
%{_libdir}/guile/2.2/site-ccache/string/completion.go
%{_libdir}/guile/2.2/site-ccache/string/soundex.go
%{_libdir}/guile/2.2/site-ccache/string/transform.go
%{_libdir}/guile/2.2/site-ccache/string/wrap.go
%{_libdir}/guile/2.2/site-ccache/term/ansi-color.go
%{_libdir}/guile/2.2/site-ccache/texinfo/nodal-tree.go
%{_libdir}/guile/2.2/site-ccache/text/parse-lalr.go
%{_libdir}/guile/2.2/site-ccache/unit-test.go
%{_libdir}/pkgconfig/guile-lib-1.0.pc
%{_datadir}/guile/site/apicheck.scm
%{_datadir}/guile/site/compat/guile-2.scm
%{_datadir}/guile/site/config/load.scm
%{_datadir}/guile/site/container/async-queue.scm
%{_datadir}/guile/site/container/delay-tree.scm
%{_datadir}/guile/site/container/nodal-tree.scm
%{_datadir}/guile/site/debugging/assert.scm
%{_datadir}/guile/site/debugging/time.scm
%{_datadir}/guile/site/graph/topological-sort.scm
%{_datadir}/guile/site/htmlprag.scm
%{_datadir}/guile/site/io/string.scm
%{_datadir}/guile/site/logging/logger.scm
%{_datadir}/guile/site/logging/port-log.scm
%{_datadir}/guile/site/logging/rotating-log.scm
%{_datadir}/guile/site/match-bind.scm
%{_datadir}/guile/site/math/minima.scm
%{_datadir}/guile/site/math/primes.scm
%{_datadir}/guile/site/md5.scm
%{_datadir}/guile/site/os/process.scm
%{_datadir}/guile/site/scheme/documentation.scm
%{_datadir}/guile/site/scheme/kwargs.scm
%{_datadir}/guile/site/search/basic.scm
%{_datadir}/guile/site/string/completion.scm
%{_datadir}/guile/site/string/soundex.scm
%{_datadir}/guile/site/string/transform.scm
%{_datadir}/guile/site/string/wrap.scm
%{_datadir}/guile/site/term/ansi-color.scm
%{_datadir}/guile/site/texinfo/nodal-tree.scm
%{_datadir}/guile/site/text/parse-lalr.scm
%{_datadir}/guile/site/unit-test.scm
%{_datadir}/info/guile-library.info.gz
